> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get binary

> Retrieve complete information about a specific WebAssembly binary including metadata and compiled content.
Use this to download or inspect binaries before using them in applications.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/fastedge_api.yaml get /fastedge/v1/binaries/{binary_id}
openapi: 3.1.0
info:
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  title: Gcore OpenAPI – FastEdge API
  version: 6519d648325b
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
  - description: Client-level settings and limits
    name: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
  - description: Statistics of edge app use
    name: Stats
  - description: Secret values that can be used in apps
    name: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
paths:
  /fastedge/v1/binaries/{binary_id}:
    get:
      tags:
        - Binaries
      summary: Get binary
      description: >-
        Retrieve complete information about a specific WebAssembly binary
        including metadata and compiled content.

        Use this to download or inspect binaries before using them in
        applications.
      operationId: getBinary
      parameters:
        - description: Unique identifier of the binary to retrieve
          in: path
          name: binary_id
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/binary'
          description: Returns detailed binary information including metadata and content
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '404':
          description: Not found
components:
  schemas:
    binary:
      required:
        - id
        - status
        - source
        - api_type
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Binary ID
        status:
          type: integer
          description: |-
            Status code:  
            0 - pending  
            1 - compiled  
            2 - compilation failed (errors available)  
            3 - compilation failed (errors not available)  
            4 - resulting binary exceeded the limit  
            5 - unsupported source language
          minimum: 0
          maximum: 5
        source:
          type: integer
          description: |-
            Source language:  
            0 - unknown  
            1 - Rust  
            2 - JavaScript  
            3 - Go
          minimum: 0
          maximum: 3
        unref_since:
          type: string
          description: Not used since (UTC)
        api_type:
          type: string
          description: Wasm API type
        checksum:
          type: string
          description: MD5 hash of the binary
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````